unit AboutDialog;
{
    This unit manage the form which is opened to show
    various information's about the software and license.
______________________________________________________________________________
}
{DTH Explorer - A freeware to manage DTH7000 Thomson disk on computer under windows.
Copyright (C) 2004 Didier CADIOU

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program (see gpl.txt file); if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.}

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls;

type
  TFAbout = class(TForm)
    RichEdit1: TRichEdit;
    Label2: TLabel;
    lblProgramNameVersion: TLabel;
    Image1: TImage;
    btnOK: TButton;
    procedure btnOKClick(Sender: TObject);
  public
    constructor Create(LicenseFilePath: string; AOwner: TComponent);
  end;

var
  FAbout: TFAbout;

implementation

{$R *.dfm}
//--------------------------------------------------------------------------------------------------------
constructor TFAbout.Create(LicenseFilePath: string; AOwner: TComponent);
{}
 begin
    Inherited create(AOwner);

    //fill the richedit control with the log file :
    RichEdit1.Lines.LoadFromFile(LicenseFilePath);
 end;

//--------------------------------------------------------------------------------------------------------
procedure TFAbout.btnOKClick(Sender: TObject);
begin
    ModalResult := mrOK;
end;


end.
