unit LogFormUnit;

{
______________________________________________________________________________
    to display log file when needed
______________________________________________________________________________
}
{TurboVOB - A freeware to prepare DTH7000's video for DVD burning on computer under windows.
Copyright (C) 2005 Didier CADIOU

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program (see gpl.txt file); if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.}
interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TLogForm = class(TForm)
    edt_textFile: TRichEdit;
    btn_OK: TButton;
    btn_refresh: TButton;
    procedure btn_OKClick(Sender: TObject);
    procedure btn_refreshClick(Sender: TObject);
  private
    { Dclarations prives }
    theTextFile: string; //name of the log file
  public
    { Dclarations publiques }
    constructor Create(logFilePath: string; AOwner: TComponent);
  end;

var
  LogForm: TLogForm;

implementation

{$R *.dfm}
//--------------------------------------------------------------------------------------------------------
constructor TLogForm.Create(logFilePath: string; AOwner: TComponent);
{}
 begin
    Inherited create(AOwner);

    theTextFile := logFilePath;
    //fill the richedit control with the log file :
    edt_textFile.Lines.LoadFromFile(logFilePath);
 end;

//--------------------------------------------------------------------------------------------------------
procedure TLogForm.btn_OKClick(Sender: TObject);
begin
    self.Hide
end;

//--------------------------------------------------------------------------------------------------------
procedure TLogForm.btn_refreshClick(Sender: TObject);
begin
    //fill again the richedit control with the log file :
    edt_textFile.Lines.LoadFromFile(theTextFile);
end;

end.
