unit language;
{
    List of ressource string to facilitate the program translation into
    others language.
______________________________________________________________________________
}
{TurboVOB - A freeware to prepare DTH7000's video for DVD burning on computer under windows.
Copyright (C) 2005 Didier CADIOU

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program (see gpl.txt file); if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.}



interface

  resourcestring

    rstrDEMUXED_WILL_BE_SAVED_IN_THE_SAME_DIR = 'All files will be Demuxed (streams will be saved '#13#10+
        'in the same directory as original VOB file)'#13#10+
        'checked files will also be re-muxed and re-authored after'#13#10+
        '(and again saved in the original folder)'#13#10#13#10+
        'Do you still want to process these files ?';
    rstrTHIS_CDE_LINE_FAILS = 'The following command line execution failed !';
    rstrRENAME_FAILS = 'The preceding file can''t be renamed !'#13#10+
        'It means that it could be overwrited if you ignore this error.'#13#10#13#10+
        'Do you want to ignore this error ?';
    rstrEXE_IS_MISSING = ' program file is missing,'#13#10 +
        'check the path and re-enter it in the option dialog';
    rstrVOB_FILE_HAS_SAME_NAME = 'Original and muxed Vob file has the same name ! '+#13+#10+
        'Therefore the original VOB file will be overwritten during the process.'+#13+#10+
        'Abort and rename one of this file to avoid overwriting.';
    rstrFILE_DOESNOT_EXITS = ' file doesn''t exists !'#13#10+
        'This task will abort.';
    rstrTASK_ABORTED = ' command line aborted'#13#10+
        'This task won''t continue.';
    rstrNEW_TASK = 'New Task started, task N ';
    rstrTASK_FAILS = 'Task Fails !';
    rstrTASK_DONE = 'Done ';
    rstrAUDIO_DEMUX_IN_PROGRESS = 'Audio stream DEMUX in progress...';
    rstrVIDEO_DEMUX_IN_PROGRESS = 'Video stream DEMUX in progress...';
    rstrREMUX_IN_PROGRESS = 'REMUX in progress...';
    rstrTITLE_AUTHORING_IN_PROGRESS = 'TITLE authoring (VTS_01_n.IFO) in progress...';
    rstrFOLDER_AUTHORING_IN_PROGRESS = 'DVD FOLDER authoring (VIDEO_TS.IFO) in progress...';
    rstrDELETED = ' deleted ';
    rstrALL_TASKS_FINISHED = 'All task finished';
    rstrSELECT_VOB_FILE_SOURCE = 'Open the video file source';
    rstrSELECT_STREAM_FILE_DESTINATION = 'Select stream file destination';
    rstrSELECT_STREAM_FILE_SOURCE = 'Open the stream source';
    rstrSELECT_VOB_FILE_DESTINATION = 'Select the remuxed video file destination';
    rstrSELECT_DVD_FOLDER_DESTINATION = 'Select the folder in which the VIDEO_TS folder will be created';
    rstrSELECT_CHAPTER_FILE_SOURCE = 'Open the text file that contains chapters locations';
    rstrCAUTION_ORIGINAL_AND_DESTINATION_ARE_EQUAL = 'BE CAREFULL !!!'#13#10+
        'remuxed VOB file and original VOB file has the same name,'#13#10+
        'which means that the original VOB file will be overwritten by the re-mux process !'#13#10+
        'Are you really sure it''s what you want ?'#13#10#13+#10+
        '(To avoid this, enter a new name for the remuxed file)';
    rstrDURATION = 'after ';
    rstrCAUTION_SHORT_TASK = '>>>>> CAUTION !!!!! This task was very short !'#13#10+
        '       It is expected for the DVD folder authoring step, but it can be an error if it happens on other steps !';
    rstrFINISHED = '      ---   All Tasks finished !!!   ---';
    rstrFILE_MISSING = ' file is missing !!!'#13#10'Please re-enter a correct path';
    rstrNOT_ENOUGH_SPACE = 'There is not enough free space on destination drive to process ';
    rstrNO_LOG_FILE = 'No log file exists at the moment !'#13#10+
        'It should be automatically created once some tasks will be run.';
    rstrPROCESS_ABORTED = '==>> Tasks process aborted by user !!!!!!!!!!!';
    rstrDEMUXED_TO = 'demuxed to :';
    rstrREMUXED_TO = 'remuxed to :';
    rstrREAUTHORED_INTO = 're-authored into :';
    rstrWITH_CHAPTERS = 'with chapters :';
    rstrX_FOR_DELETED = '("(tmp)" means that the file will be deleted when it has been used)';
    rstrENTER_PROJECT_NAME = 'Enter the project name';
    rstrPROJECT_SAVE_IN_PROGRESS = 'Project save in progress...';
    rstrPROJECT_LOAD_IN_PROGRESS = 'Project load in progress...';
    rstrFILE_SIZE_DOESNT_MATCH = 'The file size doesn''t match with expectation.'#13#10 +
        'An error probably occured, Check it !'#13#10 +
        'The source file may be too much corrupted'#13#10 +
        '=> Try to cut the video to remove the part on which the process fails'#13#10 +
        'See explanations on http://dcadiou.free.fr/DTH7000 if needed.'#13#10 +
        '(size/expected (tolerance) = ';
    rstrDIR_SIZE_DOESNT_MATCH = 'The VIDEO_TS content size doesn''t match with expectation.'#13#10 +
        'An error probably occured !'#13#10 +
        'Check it. The source file may be too much corrupted. Try using ifoEdit and/or vobEdit softwares'#13#10 +
        'See explanations on http://dcadiou.free.fr/DTH7000 if needed.'#13#10 +
        '(size/expected (tolerance) = ';
    rstrERROR_OCCURED_DURING_FILESIZE_CHECK = 'An error occured during file size check !';
    rstrCAUTION_PT_OF_NO_RETURN = 'Be CAREFULL !!!'#13#10 +
        'It''s a point of no return! If you suppress the source file when the task is done,'#13#10 +
        'you won''t be able to re-do it later (if a problem occurs for instance !).'#13#10 +
        'Therefore choose this, only if you are sure of what you are doing.';
    rstrDIRECTORY_CANT_BE_CREATED = ' directory doesn''t exists and can''t be created !'#13#10+
        'Please select another one.';
implementation

end.



